From ebe05fbd9188cdec78ed695497f08f0605505fac Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Sep 02 2020 04:24:39 +0000
Subject: [PATCH 808/2232] Remove redundant create_dir_all


This one is already handled by the following call to `write`.

---

diff --git a/gen/build/src/lib.rs b/gen/build/src/lib.rs
index 27f7a8d..5882191 100644
--- a/gen/build/src/lib.rs
+++ b/gen/build/src/lib.rs
@@ -144,7 +144,6 @@ fn generate_bridge(prj: &Project, build: &mut Build, rust_source_file: &Path) ->
     let generated = gen::generate_from_path(rust_source_file, &opt);
 
     let header_path = paths::out_with_extension(prj, rust_source_file, ".h")?;
-    fs::create_dir_all(header_path.parent().unwrap())?;
     write(&header_path, &generated.header)?;
     paths::symlink_header(prj, &header_path, rust_source_file);
 

